
local ID = "OIL" -- Change the Abbreviation in the Functions below in the body.  They are marked.
local BUTTON = "TitanPanel"..ID.."Button"; -- Name of the button => Change the abbreviation in the middle of the name.
local ProfColor = "|cffFAF200"; -- Color of the Tooltip and Name in the Titan Panel menu listing for this plugin.
-- If unsure about the color, use "|cffFFFFFF";

local CurID = 1101; -- Go to Wowhead.com and look up the currency and copy the [currency=XXXX] number in address bar.
local xname, xcurrentAmount, xtexture, xearnedThisWeek, xweeklyMax, xtotalMax, xisDiscovered = GetCurrencyInfo(CurID);
local ICON = xtexture..".blp";
local MAX = xtotalMax;
-- ProfName (below) is the text of the Tooltip and Titan Panel menu listing for this plugin.
local ProfName = "Oil"
--local ProfName = xname.."s"

local menutext = ProfColor..ProfName.."|r";
local tttext = menutext
if MAX > 0 then
	tttext = menutext.."\n|cffF3BF3FMax = |r"..MAX;
else
	tttext = menutext.."\n|cffF3BF3FMax = |rNo Limit";
end
local buttonlabel = ProfName..": "

local elapCUR, CURRENT, prevCUR = 0, 0.0, -2
local CURmax, prevCURmax = 0, 0


-- Main button frame and addon base
local f = CreateFrame("Button", BUTTON, CreateFrame("Frame", nil, UIParent), "TitanPanelComboTemplate")
f:SetFrameStrata("FULLSCREEN")
f:SetScript("OnEvent", function(this, event, ...) this[event](this, ...) end)
f:RegisterEvent("ADDON_LOADED")

function f:ADDON_LOADED(a1)
	if a1 ~= TWDC_NAME then
	return 
	end
	self:UnregisterEvent("ADDON_LOADED")
	self.ADDON_LOADED = nil

	local name, isHeader, isExpanded, isUnused, isWatched, count, icon, maximum, hasWeeklyLimit, currentWeeklyAmount, unknown
	local i = 0
	local CurrencyIndex = 0

	self.registry = {
		id = ID,
		menuText = menutext,
		tooltipTitle = tttext,
		buttonTextFunction = BUTTON.."_GetButtonText",
		tooltipTextFunction = BUTTON.."_GetTooltipText",
		frequency = 2,
		icon = ICON,
		iconWidth = 16,
		category = "Information",
		savedVariables = {
			ShowIcon = 1,
			ShowLabelText = false,
			
		},
	}
	
	self:SetScript("OnUpdate", function(this, a1)
		elapCUR = elapCUR + a1
		if elapCUR < 1 then
			return
		end
	     
		local name, currentAmount, texture, earnedThisWeek, weeklyMax, totalMax, isDiscovered = GetCurrencyInfo(CurID);

MAX = totalMax;
tttext = menutext
if MAX > 0 then
	tttext = menutext.."\n|cffF3BF3FMax = |r"..MAX;
else
	tttext = menutext.."\n|cffF3BF3FMax = |rNo Limit";
end
self.registry.tooltipTitle = tttext;

		CURRENT = currentAmount
		CURmax = totalMax
		
		if CURRENT == prevCUR and CURmax == prevCURmax then 
			return 
		end
		
		prevCURmax = CURmax;
		prevCUR  = CURRENT;
		TitanPanelButton_UpdateButton(ID)
		elap = 0
	end)
end

----------------------------------------------
function TitanPanelOILButton_GetButtonText()--!!!!!!!!!!!!!!!! Change Abbreviation
----------------------------------------------
	local CURRENTtext, pitchtext
	if not CURRENT then
		CURRENTtext = "??"
	else
		CURRENTtext = CURRENT.." ";
	end
	return buttonlabel, CURRENTtext
end

-----------------------------------------------
function TitanPanelOILButton_GetTooltipText()--!!!!!!!!!!!!!!!! Change Abbreviation
-----------------------------------------------
	return nil;
end

local temp = {}
local function UIDDM_Add(text, func, checked, keepShown)
	temp.text, temp.func, temp.checked, temp.keepShownOnClick = text, func, checked, keepShown
	UIDropDownMenu_AddButton(temp)
end
----------------------------------------------------
function TitanPanelRightClickMenu_PrepareOILMenu()--!!!!!!!!!!!!!!!! Change Abbreviation
----------------------------------------------------
	TitanPanelRightClickMenu_AddTitle(TitanPlugins[ID].menuText)
	
	TitanPanelRightClickMenu_AddToggleIcon(ID)
	TitanPanelRightClickMenu_AddToggleLabelText(ID)
	TitanPanelRightClickMenu_AddSpacer()
	TitanPanelRightClickMenu_AddCommand(TITAN_PANEL_MENU_HIDE, ID, TITAN_PANEL_MENU_FUNC_HIDE)
end

